% creates fig 10.16. CL of uncompensated plant
%

% Ken Dutton 1994

% enter TFM and form state-space model:
% enter original plant TFM elements

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')
disp(' ')
disp(' Press any key after viewing these messages')
pause 
disp(' ')
disp('Entering TFM')
n11=1.02;
n12=-0.52;
n21=-0.54;
n22=1.04;
d11=[11.76 1];
d12=[10.1 1];
d21=[10.4 1];
d22=[2.6 1];
%
%
%              (numerator polynomial matrix)
% form TFM as -------------------------------
%             (common denominator polynomial)
%
comden=conv(conv(conv(d11,d12),d21),d22);
num11=1.02*conv(conv(d12,d21),d22);
num12=-0.52*conv(conv(d11,d21),d22);
num21=-0.54*conv(conv(d11,d12),d22);
num22=1.04*conv(conv(d11,d12),d21);
%
% build numerator matrix, padding each term with leading
% zeros to same length as comden:
%
num=[0 num11 0 num12;0 num21 0 num22];
disp('')
disp('Getting state-space model')
%
% Get state-space equivalent. Note that this turns out to be 8th
% order (try typing ap). Doesn't matter here, because the model is
% very simple and well-behaved. In general, the model could be reduced
% to 4th order using the balreal command, for better numerical properties.
% The gramian produced by balreal shows that ap, bp and cp can be replaced
% by the balanced state-space realisation with states 5 to 8 removed. 
% Here, we continue to use the non-minimal realisation.
%
[ap,bp,cp,dp]=mvtf2ss(num,comden);
%
disp('')
disp('Calculating MVFR matrix')
%form mvfr matrix
w=logspace(-2,2,100);
fr=mv2fr(ap,bp,cp,dp,w);
%
%calculate CL and sort for plotting
disp('')
disp('Calculating and plotting CL')
cl=feig(w,fr); % CL are the eigenvalues of the component
               % matrices of the MVFR matrix, at every freq.
cl=csort(cl);  % sort into continuous plots
plotbode(w,cl)
pause
% last line is fine, but next lines plot separately for book
%[mag,pha]=r2p(cl);
%semilogx(w,20*log10(mag));grid
%pause
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_16a
%
% matlab 3.5 print:
%meta fig10_16a
%!gpp fig10_16a /dhpgl /ol
%
%semilogx(w,pha),grid
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_16b
%
% matlab 3.5 print:
%meta fig10_16b
%!gpp fig10_16b /dhpgl /ol
