% creates fig 10.23 - INA of uncompensated plant
%

% Ken Dutton 1994

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')
disp(' ')

% enter TFM and form s-s model:
% enter original plant TFM elements
disp(' ')
disp('Working - please wait for plots')
n11=1.02;
n12=-0.52;
n21=-0.54;
n22=1.04;
d11=[11.76 1];
d12=[10.1 1];
d21=[10.4 1];
d22=[2.6 1];
%
%              (numerator polynomial matrix)
% form TFM as -------------------------------
%             (common denominator polynomial)
%
comden=conv(conv(conv(d11,d12),d21),d22);
num11=1.02*conv(conv(d12,d21),d22);
num12=-0.52*conv(conv(d11,d21),d22);
num21=-0.54*conv(conv(d11,d12),d22);
num22=1.04*conv(conv(d11,d12),d21);
%
% build numerator matrix, padding each term with leading
% zeros to same length as comden:
%
num=[0 num11 0 num12;0 num21 0 num22];
%
% Get state-space equivalent. Note that this turns out to be 8th
% order (try typing ap). Doesn't matter here, because the model is
% very simple and well-behaved. In general, the model could be reduced
% to 4th order using the balreal command, for better numerical properties.
% The gramian produced by balreal shows that ap, bp and cp can be replaced
% by the balanced state-space realisation with states 5 to 8 removed. 
% Here, we continue to use the non-minimal realisation.
%
[ap,bp,cp,dp]=mvtf2ss(num,comden);
%
% form mvfr matrix
w=logspace(-2,2,100);
fr=mv2fr(ap,bp,cp,dp,w);
%
% form inverse for INA, and plot
ifr=finv(w,fr);
inap4(w,ifr,4,-100,100,-100,1300)
pause
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_23a
%
% matlab 3.5 print:
%meta fig10_23a
%!gpp fig10_23a /dhpgl /ol
%
inap4(w,ifr,7,-5,5,-2,10)
pause
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_23b
%
% matlab 3.5 print:
%meta fig10_23b
%!gpp fig10_23b /dhpgl /ol
