% creates fig 10.24 - INA of plant + 1 compensator

% Ken Dutton 1994

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')
disp(' ')

%
if ~exist('w') | ~exist('ap') | ~exist('ifr')
   disp(' ')
   disp(' ')
   disp('Running Fig10_23 first to generate data - please wait')
   fig10_23
end
%
% check multiplication factor suggested as 0.12 in text:
index=length(w)          % find number of highest freq. element in w
fhf=fgetf(w,ifr,index);  % extract highest freq. 2*2 component of MVFR matrix
mag=abs(fhf);            % find magnitudes (2*2)
g=mag(2,1)/mag(1,1)      % required multiplication factor ( <1 )
%
k1=[1  0;-0.13  1]; % textbook compensator
if1=fmul(w,k1,ifr); % apply compensation (note order of multiplication
                    % is opposite to than normally used, because these
                    % are INVERSE matrices).
inap4(w,if1,4,-10,10,-100,1300)
pause
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_24
%
% matlab 3.5 print:
%meta fg10_24
%!gpp fg10_24 /dhpgl /ol
inap4(w,if1,7,-5,5,-2,10)
