% creates fig 10.26 - Step responses after INA compensation

% Ken Dutton 1994

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')
disp(' ')
disp(' Press any key after viewing these messages')
pause 

if ~exist('w') | ~exist('ap') | ~exist('k1') | ~exist('k2')
   disp(' ')
   disp(' ')
   disp('Running Fig10_25 first to generate data - please wait')
   fig10_25
end
%
% form combined compensator
k21=inv(k2*k1);        % Form the "real-world" compensator. Note that 
                       % inv(k2*k1) is the same as inv(k1)*inv(k2), which
                       % is in the correct order (against the signal flow
                       % in the real world). The inverses are necessary
                       % because k1 and k2 compensated the INVERSE Nyquist
                       % array. 
%
[af,bf,cf,df]=mvser([],[],[],k21,ap,bp,cp,dp); % state-space model of forward path
% swap for next 3 lines if i/ps are to be displayed
%ci=[cp;zeros(2,max(size(cp)))];
%di=[dp;eye(2)];
%[af,bf,cf,df]=series([],[],[],k21,ap,bp,ci,di);
%
[a,b,c,d]=mvfb(af,bf,cf,df,[],[],[],eye(2));    % add UNF loops
% use next line instead if i/ps were included above
%[a,b,c,d]=feedback(af,bf,cf,df,[],[],[],eye(2),-[1  2],[1  2]);  % add UNF 
t=[0:.2:50];                              % time vector for simulation
mv2step            % simulation
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_26
%
% matlab 3.5 print:
%meta fg10_26
%!gpp fg10_26 /dhpgl /ol
