%  fig13_7.m  creates Fig. 13.7 of text
%

% Ken Dutton 1996

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing this message')
pause 

% Input transfer function
num=1;
den=[1  1];
tdelay=0.5;  % transport lag
k=2;         % compensator gain

% Set up freq. vector
%w=[0.01  0.81  1.22  1.81  2.7  4  6  9]'; % text values
w=logspace(-2,1,50)';
% Calculate delay-free open-loop response data
[rep,imp]=nyquist(num,den,w);   % rectangular number
gjw=rep+j*imp;  % complex number

% calculate delay response data:
ret=cos(w*tdelay);  % real part
imt=-sin(w*tdelay); % imag. part
deljw=ret+j*imt;    % complex number

% combine compensator, plant and delay to give
% the forward path response
resp=2*gjw.*deljw;
[mag,pha]=r2p(resp); % polar form to check results table

% correct arctan results (could use unwrap in later MATLABs):
ii=0;
for i=2:length(w)
   if pha(i)-pha(i-1)>180  % arctan has 'lost it'
      ii=ii+1;
      cor(ii)=i;
   end
end
if ii>0  % some correction required
   for i=1:ii
     for n=cor(ii):length(w)
        pha(n)=pha(n)-360;
     end
   end
end


   

% convert uncertainty to additive:
for i=1:length(w)
   if w(i)<=1       % 10 per cent up to w=1
      lm=0.1;
   elseif w(i)<=20  % linearly rising to 100 per cent at w=20
      lm=0.1+(w(i)-1)*0.9/(20-1);
   else             % 100 per cent at w>20
      lm=1;
   end 
   la(i)=lm*mag(i);
end

% results table
disp(' ')
disp('       w       mag        pha       la')
[w mag pha la']

% plot the response
plot(resp);grid

% add the circles
hold on
th=[0:2*pi/50:2*pi]; % angles for plotting circle
for i=1:length(w)
   rec=la(i)*cos(th);  % real parts for circle
   imc=la(i)*sin(th);  % imag parts for circle
   % plot centred on point resp(i)
   plot(rec+real(resp(i)),imc+imag(resp(i)))
end
hold off



