% fig14_39.m - Popov's method for antenna example

% Ken Dutton, 1994

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')

% linear part of system:
%
num=50;
den=conv([1  5  0],[1  1]);
%
% nyquist data for linear part:
w=logspace(0,2,500);
w=w(50:500);
[re,im]=nyquist(num,den,w);    % direct nyquist data
im=im.*w';     % modify imaginary part to give Popov locus
disp('')
disp('Plotting now - press any key after viewing plots')
plot(re,im),grid
hold on
%
% add Popov line y = (1/q)*x + 1/(q*k2)
x=[-4:1:0];  % real values from -4 to 0
k2=1;
q=1;
y=1/q*x + 1/q/k2; % Calculate Popov line
plot(x,y)         % plot Popov line
pause
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fg14_39a
%
% matlab 3.5 print:
%meta fg14_39a
%!gpp fg14_39a /dhpgl /ol
hold off
clg
% repeat for varying k2
plot(re,im),grid  % Popov locus
hold on
%
% add Popov line y = (1/q)*x + 1/(q*k2)
x=[-4:1:0];
k2=0.595;         % new value of k2
q=1.2;
y=1/q*x + 1/q/k2;
plot(x,y)
pause
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fg14_39b
%
% matlab 3.5 print:
%meta fg14_39b
%!gpp fg14_39b /dhpgl /ol
hold off
clg