% Fig3_42.m  produces Fig. 3.42

% Ken Dutton, 1996

% Set up the required values of gain in a vector:
k = [4  1.5  0.4];

% open-loop LTF:
num = 1; % not actually needed
den = conv([1  1  0],[1  2]);

% frequency vector to match text:
w = logspace(-1, 1, 100);

% step through the values of gain:
for i = 1:length(k)
   % apply the gain
   num = k(i);
   % plot the bode plot
   bode(num,den,w)
   disp(' ')
   disp(['k ='  num2str(k(i))  ' View the plot and press a key to continue'])
   pause

   % gain and phase margins:
   [gm,pm,wg,wp] = margin(num,den);
   disp(' ')
   disp([' gain margin is '  num2str(gm) ' at ' num2str(wg) ' rad/s'])
   disp([' phase margin is '  num2str(pm) ' deg. at ' num2str(wp) ' rad/s'])
   disp(' ')
   disp(' Press any key to continue')
   pause
end
