% Fig3_44.m  produces Fig. 3.44

% Ken Dutton, 1996

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')

% Set up the required values of gain in a vector:
k = [4  1.5  0.4];

% open-loop LTF:
num = 1; 
den = conv([1  1  0],[1  2]);

% frequency vector to match text:
w = logspace(-1, 1, 100);

% step through the values of gain:
for i = 1:length(k)
   % apply the gain
   num = k(i);

   % close the feedback loop:
   [nc,dc] = cloop(num,den,-1);

   % plot the bode plot
   bode(nc,dc,w)
   if i==1, hold on, end  % freeze plot on screen
end
hold off  % release plot window
