% Fig3_52.m  produces Fig. 3.52
%
% This is a version of Fig3_51.m which
% needs the multivariable frequency
% domain toolbox to add M circles

% Ken Dutton, 1996

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')

% Set up the required values of gain in a vector:
k = [4  1.5  0.4];

% open-loop LTF:
num = 1; 
den = conv([1  1  0],[1  2]);

% frequency vector to match text:
w = logspace(-1, 1, 300);

% step through the values of gain:
for i = 1:length(k)
   % apply the gain
   num = k(i);

   % close the feedback loop:
   [nc,dc] = cloop(num,den,-1);

   % plot the nyquist plot
   nyquist(nc,dc,w)
   if i==1, hold on, end  % freeze plot on screen
end

% add the M-circle for each plot (only works
% with the MVFD Toolbox)
plot(circ(0,5.43))
plot(circ(0,1.428))
plot(circ(0,1))

hold off  % release plot window
