% fig3_58.m - Inverse Nyquist plots for Fig3.58
% remove the % from three   plot(circ(... commands only
% if you have the MVFD toolbox

%
% Ken Dutton, 1996

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')

% Open-loop LTF:
num = 1;  % not actually needed
den = conv([1  1  0],[1  2]);

% vector of gain values:
k = [4  1.5  0.4];

% inverse nyquist:
w=logspace(-2,1,200);
w=w(1:160); % shorten vector for good plot size

% step through gain values
for i=1 : length(k)
   num=k(i);

   % inverse nyquist plot:
   [mag,pha] = bode(num,den,w);
   polar(-pha*pi/180, mag.^(-1)) % phase plotted in radians,
                                 % note dot operator on ^(-1) to
                                 % invert individual elements
   if i==1, hold on, end % freeze plot on screen
end

% add circles (only works with MVFD Toolbox)
%plot(circ(-1,1))
%plot(circ(-1,0.7))
%plot(circ(-1,0.18))	

hold off % release plot window
 
