% File fig4_24.m.  Produces all parts of Fig. 4.24 of text
%

% Ken Dutton 1996

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')

% enter the open-loop LTF of system in Section 4.4.2
num=6;
den=conv([1  1],conv([1  2],[1  3]));





% Proportional control
% produce the root locus:
num=num;   % MATLAB will sweep K automatically
rlocus(num,den),grid,title('Fig. 4.24(a)')
pause      % wait for key press

% common time axis for plots:
t=[0:0.1:15];

% Prop. Gain = 5:
[nc,dc]=cloop(5*num,den,-1);   % close the UNF loop
step(nc,dc,t);grid
hold on    % freeze plot on screen
% Prop. Gain = 0.6:
[nc,dc]=cloop(0.6*num,den,-1); % close the UNF loop
step(nc,dc,t),title('Fig. 4.24(b)')
hold off   % release plot window
pause      % wait for key press




% Proportional + Integral control (fixed Ti)
% produce the root locus:
ti=1.57;
numpi=num*[1  1/ti];   % MATLAB will sweep K automatically
denpi=conv(den,[1  0]);
rlocus(numpi,denpi),grid,title('Fig. 4.24(c)')
pause      % wait for key press

% common time axis for plots:
t=[0:0.1:15];

% Prop. Gain = 4.5:
[nc,dc]=cloop(4.5*numpi,denpi,-1);   % close the UNF loop
step(nc,dc,t);grid
hold on    % freeze plot on screen
% Prop. Gain = 2:
[nc,dc]=cloop(2*numpi,denpi,-1); % close the UNF loop
step(nc,dc,t),title('Fig. 4.24(d)')
hold off   % release plot window
pause      % wait for key press




% Proportional + Integral control (fixed Kp)
% produce the root locus:
numpi=1;  % CE from Section 4.4.2
denpi=conv([1  0],[1  6  11  33]);
rlocus(numpi,denpi),grid,title('Fig. 4.24(e)')
pause      % wait for key press



% Proportional + Integral + Deriv. (fixed Ti and Td)
% produce the root locus:
ti=0.947; % values from Example 3.10
td=0.237;
numpid=num*[td  1  1/ti];  % MATLAB will sweep K automatically
denpid=conv(den,[1  0]);
rlocus(numpid,denpid),grid,title('Fig. 4.24(f)')
