% File fig4_31.m.  Produces Fig. 4.31 of text
% Normalised lag compensator frequency responses.
%

% Ken Dutton 1996

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')

% enter compensator numerator:
tau=1;
num=[tau  1];

% range of alpha values:
a=[10  5  2];

% frequency axis for bode plots:
w=logspace(-2,1,100);

% Bode magnitude plots for Fig. 4.31:
for i=1:length(a)  %  step through the values of a
   %
   % form the denominator
   den=[a(i)*tau  1];
   [mag,pha]=bode(num,den,w);  % get data, but no plot yet
   semilogx(w,20*log10(mag))   % plot in dB
   grid;title('Fig. 4.31 - magnitudes')
   if i==1, hold on, end   % hold plot on screen
end
hold off % release plot window
pause    % wait for key press


% Bode phase plots for Fig. 4.31:
for i=1:length(a)  %  step through the values of zero
   %
   % form the denominator
   den=[a(i)*tau  1];
   [mag,pha]=bode(num,den,w);  % get data, but no plot yet
   semilogx(w,pha);grid;title('Fig. 4.31 - phases')
   if i==1, hold on, end   % hold plot on screen
end
hold off % release plot window
pause    % wait for key press


