% File fig4_567.m.  Produces Figs. 4.5 to 4.7 of text
%

% Ken Dutton 1996


disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window.')
disp(' ')
disp(' Press any key after viewing a plot.')

% original denominator of Eq. 4.7:
den0=conv([1  6],[1  2  3]);

% vector of required pole positions for Eq. 4.9
a=[0.5  1  2];

% Step responses for Fig. 4.5:
t=[0:0.1:8];  % common time axis
for i=1:length(a)  %  step through the values of pole
   %
   % form the numerator and denominator
   num=18*a(i);
   den=conv(den0,[1  a(i)]);
   step(num,den,t);grid;title('Fig. 4.5')
   if i==1, hold on, end   % hold plot on screen
end
%
% add the plot for no pole at all:
step(18,den0,t)
hold off % release plot window
pause    % wait for key press


% frequency axis for bode plots:
w=logspace(-1,2,100);

% Bode magnitude plots for Fig. 4.6:
for i=1:length(a)  %  step through the values of pole
   %
   % form the numerator and denominator
   num=18*a(i);
   den=conv(den0,[1  a(i)]);
   [mag,pha]=bode(num,den,w);  % get data, but no plot yet
   semilogx(w,20*log10(mag))   % plot in dB
   grid;title('Fig. 4.6 - magnitudes')
   if i==1, hold on, end   % hold plot on screen
end
%
% add the plot for no pole at all:
[mag,pha]=bode(18,den0,w);
semilogx(w,20*log10(mag))
hold off % release plot window
pause    % wait for key press


% Bode phase plots for Fig. 4.6:
for i=1:length(a)  %  step through the values of pole
   %
   % form the numerator and denominator
   num=18*a(i);
   den=conv(den0,[1  a(i)]);
   [mag,pha]=bode(num,den,w);  % get data, but no plot yet
   semilogx(w,pha);grid;title('Fig. 4.6 - phases')
   if i==1, hold on, end   % hold plot on screen
end
%
% add the plot for no pole at all:
[mag,pha]=bode(18,den0,w);
semilogx(w,pha)
hold off % release plot window
pause    % wait for key press



% Polar (Nyquist) plots for Fig. 4.7:
for i=length(a):-1:1  %  step through the values of pole
               % reverse direction is to plot largest first
   %
   % form the numerator and denominator
   num=18*a(i);
   den=conv(den0,[1  a(i)]);
   nyquist(num,den,w);grid;title('Fig. 4.7')
   if i==length(a), hold on, end   % hold plot on screen
end
%
% add the plot for no pole at all:
nyquist(18,den0,w)
hold off % release plot window
pause    % wait for key press
