% creates responses of antenna positioner, and feedback loops
% for tracking system (fig 5.8). Values are from example 5.5
%

% Ken Dutton 1994

% remove comments from two lines ******* to display i/p signal

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')

%
% plant:
clear
clg
hold off
a=[0  1  0; 0  -1  1; 0  0  -5]; b=[0  0  5]'; c=[1  0  0]; d=0;
%
% feedback:
k=[160  68.8  7.2];
%
% integrator gain
ki=300;
%
% use partitioned form of closed-loop model, so as to maintain
% correct ordering of state variables (alternative is to use feedback
% command with k as in fig5_4.m to create inner SVF loop, use
% [ai,bi,ci,di]=tf2ss(1,[1  0]); ci=300; to get s-space model of integrator,
% use series to put in seris w. SVF system, then use cloop to form closed-
% loop scheme):
%
ac=[a-b*k    b*ki; -c    0];
bc=[0  0  0  1]';
cc=eye(4);   % makes states available as 4 o/ps for plotting
dc=[0  0  0  0]';
%
% ****************************************
% Add plant input as an extra o/p y5 for plotting.
% In this case, y5 = u = ki*xi - k11*x1 - k12*x2 - k13*x3
%
%cc=[cc; [-k  ki]];
%dc=[dc;  0];
% ****************************************
%
disp('Poles of closed loop system are (should be -1+j2, -1-j2, -10, -30):')
eig(ac)
%
[y,x,t]=step(ac,bc,cc,dc); % necessary to save data so as to be able to
%                            get them on same plot
plot(t,y);grid
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig5_8
%
% matlab 3.5 print:
%meta fig5_8
%!gpp fig5_8 /dhpgl /ol
