% Fig8_9.m  Produces data for Example 8.4
% How to include a time delay in a Bode plot

% Ken Dutton 1996

% Plant LTF (delay-free)
num=[16 0];
den=conv([10  1],[0.05  1]);

% calculate (do not plot) freq. response:
% mag. is number,  pha. in degrees,  w in rad/s
w=logspace(-3,2,15);      % set up suitable frequency axis
[mag,pha]=bode(num,den,w);


% add time delay to phase plot
tdel=0.01;  % transport lag (seconds)
pha=pha - w'*tdel*180/pi;  % note conversion of correction to degrees
% plot
semilogx(w,20*log10(mag)),grid  %  note magnitude converted to dB
hold on % add data points:
semilogx(w,20*log10(mag),'rx')  % (as red 'x's)
hold off

disp(' ')
disp(' Magnitude plot is presented')
disp(' Press a key to see phase plot')
disp(' ')
pause

semilogx(w,pha),grid
hold on % add data points:
semilogx(w,pha,'rx')  % (as red 'x's)
hold off
pause
%orient landscape
%print fig8_9b -dhpgl
