% File mv2step.m                                                       
%                                                                      
% Produces two plots showing the unit step responses                   
% from each input of the 2*2 plant in [a,b,c,d],                       
% over the times specified in t                                        

% Ken Dutton 1992
echo off          % No command echoing during plotting - please wait for plots.
clg                              % Clears any previous plot      


y1=step(a,b,c,d,1,t);            % Responses from i/p 1           
y2=step(a,b,c,d,2,t);            % Responses from i/p 2           
subplot(211)                     % Divide graphics window into 2 
plot(t,y1)
grid
title('Input 1 Unit Step Responses')
subplot(212)
plot(t,y2)
grid
title('Input 2 Unit Step Responses')
pause
subplot(111)                     % restores the graphics window to normal
