% File mv3step.m                                                       
%                                                                      
% Produces three plots showing the unit step responses                   
% from each input of the 3*3 plant in [a,b,c,d]                        
% over the times specified in t
%
% Only works with MATLAB for Windows (e.g. v4.2)
%                                        

% Ken Dutton 1994

echo off      % No command echoing during plotting - please wait for plots.
clg           % Clears any previous plot      

clg
hold off
axis('auto')
[y1,x]=step(a,b,c,d,1,t);  % output responses from input 1
[y2,x]=step(a,b,c,d,2,t);  % output responses from input 2
[y3,x]=step(a,b,c,d,3,t);  % output responses from input 3
subplot(3,1,1)
plot(t,y1),grid,title('responses from u1 (y, m, c)')
subplot(3,1,2)
plot(t,y2),grid,title('responses from u2 (y, m, c)')
subplot(3,1,3)
plot(t,y3),grid,title('responses from u3 (y, m, c)')
pause
subplot(111)                     % restores the graphics window to normal
