% File fg4_1718.m.  Produces Figs. 4.17 and 4.18 of text
%

% Ken Dutton 1996

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')

% enter the open-loop LTF of system in Section 4.4
num=[1  0]; % Ks with K=1.  MATLAB will sweep K automatically
den=[1  0  1]; % note zero coefficient of s

% produce the root locus:
rlocus(num,den),grid
pause   % wait for key press

% now allow gain investigation
disp(' ')
disp(' The graphics cursor will now appear')
disp(' Position it on a point of interest, and press the')
disp(' left-hand mouse button to read off the gain')
disp(' ')
disp(' Press any key to continue after noting this message')
pause

[k,p]=rlocfind(num,den);
disp(' ')
disp([' Gain is  '      num2str(k)])
pause

% values of gain for Fig. 4.18:
k=[4  2  1  -1];

% time axis:
t=[0:0.05:6];

axis([0  6  -2  5])
for i=1:length(k)  % step through k values
   %
   % add unity negative feedback loop:
   [nc,dc]=cloop(k(i)*num,den,-1);

   impulse(nc,dc,t);grid;   % closed-loop impulse response
   if i==1, hold on, end   % freeze plot on screen
end
axis([0  6  -2  5]);grid

hold off % release plot window

pause  % wait for key press

