% creates fig 10.16. CL of uncompensated plant
%

% Ken Dutton 1994
% plotbode changed to mpltbode.m, 6.1.99
% Modified to use LTI model of TFM (saves a lot of code) 22.10.99

% check that modified MVFD Toolbox commands are present:
if ~exist('mpltbode.m') | ~exist('mplotnyq.m')...
      | ~exist('mvalign.m') | ~exist('mfacc.m') | ~exist('mvfrinv.m')
   disp(' ')
   disp(' Because of compatibility problems with MATLAB 5,')
   disp(' you need to modify some of the Multivariable')
   disp(' Frequency Domain Toolbox commands before you')
   disp(' can run this program.  Please see the README')
   disp(' file which came with the textbook m-files.')
   disp(' ')
   break
end


disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')
disp(' ')
disp(' Press any key after viewing these messages')
pause 
% Enter TFM:
plant=tf({1.02  -0.52;-0.54  1.04},{[11.76 1]  [10.1 1];[10.4 1]  [2.6 1]})
%
% Get state-space equivalent.
[ap,bp,cp,dp]=ssdata(plant);
%
disp('')
disp('Calculating MVFR matrix')
%form mvfr matrix
w=logspace(-2,2,100);
fr=mv2fr(ap,bp,cp,dp,w);
%
%calculate CL and sort for plotting
disp('')
disp('Calculating and plotting CL')
cl=feig(w,fr); % CL are the eigenvalues of the component
               % matrices of the MVFR matrix, at every freq.
cl=csort(cl);  % sort into continuous plots
mpltbode(w,cl)

%pause
% last line is fine, but next lines plot separately for book
%[mag,pha]=r2p(cl);
%semilogx(w,20*log10(mag));grid
%pause
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_16a
%
%semilogx(w,pha),grid
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_16b
%
