% creates fig 10.17 - CL of high-freq. compensated plant
%

% Ken Dutton 1994
% align changed to mvalign.m, 6.1.99
% plotbode changed to mpltbode.m, 6.1.99


disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')
disp(' ')

% check that fig10_16.m has been run to generate data:
if ~exist('w') | ~exist('fr') | ~exist('ap') | ~exist('dp')
   disp(' ')
   disp('Running fig10_16 first to generate data - please wait')
   disp(' ')
   fig10_16  % run it now - not been run before
end
%
%find index of first freq. value greater than 4 rad/s
index=min(find(w>=4));
w4rads=w(index) % output to check it
%
%extract appropriate set of MVFR data
[fr4,w4]=fgetf(w,fr,index);
%
% design compensator
kh=mvalign(fr4)
disp('press any key to continue (and wait for plot)')
pause
%
% add h.f. compensator to plant by multiplying plant mvfr
% matrix by constant compensator kh. Note order of multiplication
% is against signal flow.
frh=fmul(w,fr,kh);
%
% construct CL
clh=feig(w,frh);
mpltbode(w,clh)
% last line fine, but next lines plot separately for book
[mag,pha]=r2p(clh);
%semilogx(w,20*log10(mag));grid
%pause
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_17a
%
% matlab 3.5 print:
%meta fig10_17a
%!gpp fig10_17a /dhpgl /ol
%
%semilogx(w,pha),grid
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_17b
%
% matlab 3.5 print:
%meta fig10_17b
%!gpp fig10_17b /dhpgl /ol
