% creates fig 10.18. Step responses of high-freq. compensated plant
%

% Ken Dutton 1994
% pack command caused problems in MATLAB 5 - commented out 6.1.99
% MATLAB 5 doesn't allow ([],[],[],eye(2)) as a state-
% space model in mvfb.m, and produces warnings in mvser.m.
% Replaced with suitably-sized zero models, 6.1.99

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')
disp(' ')

% check that fig10_17.m has been run to generate data
if ~exist('kh') | ~exist('ap') | ~exist('dp')
   disp('')
   disp('Running fig10_17 first to generate data - please wait')
   disp('')
   fig10_17  % run it now - not run before
end
%free some memory
clear n11 n12 n21 n22
clear d11 d12 d21 d22
clear num11 num12 num21 num22
clear cl clh fr frh
clear num comden
% pack
%
%cascade Kh with open loop plant
[as,bs,cs,ds]=mvser(0,[0 0],[0;0],kh,ap,bp,cp,dp);
%
% remove comments from next 3 (and 1 below) to display inputs
%ci=[cp;zeros(2,max(size(cp)))];
%di=[dp;eye(2)];
%[as,bs,cs,ds]=series([],[],[],kh,ap,bp,ci,di);
%
%add UNF loops
[a,b,c,d]=mvfb(as,bs,cs,ds,0,[0 0],[0;0],eye(2));
%
% remove comment from next line (and 3 above) to display inputs
%[a,b,c,d]=feedback(as,bs,cs,ds,[],[],[],eye(2),-[1 2],[1 1]);
%
%custom command for time responses
t=[0:0.06:6];  %  time vector for plots
mv2step
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_18
%
% matlab 3.5 print:
%meta fig10_18
%!gpp fig10_18 /dhpgl /ol
