% Inverse Nyquist Array example just for Fig. 10.22
%

% Ken Dutton 1994
% finv replaced with mvfrinv, 6.1.99
% Modified to use LTI model of TFM (saves a lot of code) 22.10.99

% check that modified MVFD Toolbox commands are present:
if ~exist('mpltbode.m') | ~exist('mplotnyq.m')...
      | ~exist('mvalign.m') | ~exist('mfacc.m') | ~exist('mvfrinv.m')
   disp(' ')
   disp(' Because of compatibility problems with MATLAB 5,')
   disp(' you need to modify some of the Multivariable')
   disp(' Frequency Domain Toolbox commands before you')
   disp(' can run this program.  Please see the README')
   disp(' file which came with the textbook m-files.')
   disp(' ')
   break
end

% Enter TFM:
sys=tf({5  -2.5; -7  25},{[1  2  1/2]  [1  3  1]; [1  1  2] [1  5  2]});
%  Covert to state-space:
[a,b,c,d]=ssdata(sys);
ap=a;   % [a,b,c,d] will be reused - save plant in [ap,bp,cp,dp] for future
bp=b;
cp=c;
dp=d;
%
disp(' Calculating MVFR matrix')
w=logspace(-3,2,300);
fr=mv2fr(ap,bp,cp,dp,w);     % calculate the MVFR matrix for the plant
%
disp(' Calculating INA')
ifr=mvfrinv(w,fr);     % find inverse of MVFR matrix components for INA
disp(' Compensator design for r2 = r2 - 0.37 * r1')
k1=[1  0;-0.37  1];
if1=fmul(w,k1,ifr); % Cascade with the plant - note order of
% multiplication is opposite to that expected due to use of inverses
disp(' Compensator design for r1 = r1 - 0.27 * r2')
k2=[1  -0.27;0  1];
if2=fmul(w,k2,if1);          % Cascade with the plant
disp(' Compensator design for r2 = r2 * 0.55')
k3=[1  0;0  0.55];
if3=fmul(w,k3,if2);          % Cascade with the plant
inap4(w,if3,4,-1,0.2,-0.2,1) % plot INA
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_22
