% creates fig 10.23 - INA of uncompensated plant
%

% Ken Dutton 1994
% finv replaced with mvfrinv, 6.1.99
% Modified to use LTI model of TFM (saves a lot of code) 22.10.99

% check that modified MVFD Toolbox commands are present:
if ~exist('mpltbode.m') | ~exist('mplotnyq.m')...
      | ~exist('mvalign.m') | ~exist('mfacc.m') | ~exist('mvfrinv.m')
   disp(' ')
   disp(' Because of compatibility problems with MATLAB 5,')
   disp(' you need to modify some of the Multivariable')
   disp(' Frequency Domain Toolbox commands before you')
   disp(' can run this program.  Please see the README')
   disp(' file which came with the textbook m-files.')
   disp(' ')
   break
end


disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')
disp(' ')

% enter original plant TFM as cell arrays
% of numerator and denominator elements
plant=tf({1.02  -0.52;-0.54  1.04},{[11.76 1]  [10.1 1];[10.4 1]  [2.6 1]})

% get equivalent state-space model for mv2step below (could
% just use LTI viewer instead).
[ap,bp,cp,dp]=ssdata(plant);
%
% form mvfr matrix
w=logspace(-2,2,100);
fr=mv2fr(ap,bp,cp,dp,w);
%
% form inverse for INA, and plot
ifr=mvfrinv(w,fr);
inap4(w,ifr,4,-100,100,-100,1300)
pause
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_23a
%
inap4(w,ifr,7,-5,5,-2,10)
%pause
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_23b
