% File fig10_28.m - Produces Perron-Frobenius plot

% Ken Dutton 1994, 1995
% finv replaced by mvfrinv.m, 6.1.99
% Modified to use LTI model of TFM (saves a lot of code) 22.10.99

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')
disp(' ')

% enter original plant TFM as cell arrays
% of numerator and denominator elements
plant=tf({1.02  -0.52;-0.54  1.04},{[11.76 1]  [10.1 1];[10.4 1]  [2.6 1]})

% get equivalent state-space model for mv2step below (could
% just use LTI viewer instead).
[ap,bp,cp,dp]=ssdata(plant);
%
%form mvfr matrix
w=logspace(-2,2,100);
fr=mv2fr(ap,bp,cp,dp,w);
ifr=mvfrinv(w,fr);    % restore the plant's inverse MVFR matrix
%
% Now the calculations necessary to
% obtain the Perron-Frobenius data:
%
m=abs(ifr);          % gets magnitude of each element of MVFR matrix
omega=fdiag(w,fdiag(w,m));   % sets all off-diagonal terms at
                             % every freq. point to zero.
gamma=fmulf(w,mvfrinv(w,omega),m);  % form "normalised comparison
           % matrix" - inverses of diagonalised mvfr magnitude
           % matrices, premultiplying non-diagonalized,
           % non-inverted version. Result is as follows: If a
           % component matrix of m was [a  b;c  d], the corresponding
           % component matrix of gamma is [1  b/a; c/d  1].
pfe=fperron(w,gamma);     % obtain P-F eigenvalue. This is made up
                          % of the largest eigenvalue of each
                          % component matrix (magnitudes) of gamma.
plotdb(w,pfe);pause              % Bode magnitude plot of P-F eigenvalue
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_28
%
