% File fig10_29.m - Produces Perron-Frobenius vector plot

% Ken Dutton 1994
% clg replaced by clf, 6.1.99
% pause removed from after 2nd plotdb command, 6.1.99

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')
disp(' ')

% enter TFM and form s-s model:
%
if ~exist('w') | ~exist('omega') | ~exist('gamma') | ~exist('pfe')
   disp(' ')
   disp('Running fig10_28 first to create data - please wait')
   disp(' ')
   fig10_28
end
%
% P-F eigenvalue plot to check
hold off
plotdb(w,pfe),title('P-F eigenvalue to check (fig 10.28)');pause
%
clf
clc
disp('')
disp('Creating P-F eigenvector data - please wait')
[pfe,lhv,rhv]=fperron(w,gamma);  % obtain full P-F information (please wait!)
for i=1:length(w),        
  lhv(i,:)=lhv(i,:)/lhv(i,1);    % Perform scaling such
                              % that element 1 is unity
end
plotdb(w,lhv(:,2));   % plot left-hand P-F eigenvector
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_29
%
% matlab 3.5 print:
%meta fg10_29
%!gpp fg10_29 /dhpgl /ol
%
% now add compensator:
[knpf,kdpf]=phlag(-6.41,0.26,-6.68);      % design the LTF compensator
kpf=mv2fr(knpf,kdpf,w);                   % obtain its MVFR matrix
hold on                                   % freeze existing plot
plotdb(w,kpf,'--g')          % superimpose compensator on existing plot
grid                         % necessary in MATLAB v4.2
hold off
