% Fig10_8.m - checks simple diagonalising compensator results
% and generates open and closed loop responses.

% Ken Dutton 1994
% Modified to use LTI model of TFM (saves a lot of code) 22.10.99

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')
disp(' ')

% enter original plant TFM as cell arrays
% of numerator and denominator elements
plant=tf({1.02  -0.52;-0.54  1.04},{[11.76 1]  [10.1 1];[10.4 1]  [2.6 1]})

% get equivalent state-space model for mv2step below (could
% just use LTI viewer instead).
[a,b,c,d]=ssdata(plant);
%custom command for time responses
t=[0:0.1:60];
mv2step
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_8a
%
%
% Values of inverse plant TFM finally used in text book. Note
% that, at this point, numerator terms are one element LONGER
% than common denominator. This will be corrected when the
% dynamic compensator is added:
comden=[102.84  17.71  0.78];
num11=[1284.7  360  33.6  1.04];
num12=[165.4  93.6  12.9  0.52];
num21=[166.8  94.8  13.2  0.54];
num22=[278.6  161.5  23.6  1.02];
pltinv=tf({num11  num12;num21  num22},{comden comden;comden comden})
%
% Cascade with dynamic compensator part  = diag(1/(s(s+1))):
dyncomp=tf({1  0;0  1},{[1 1 0] 1;1 [1 1 0]}) % zero den not allowed!
comp=pltinv*dyncomp;
%
% modify s-s model of plant to show inputs:
ap=a;
bp=b;
[rwc clc]=size(c);
cp=[c; zeros(2,clc)];
dp=[d; eye(2)];
modplt=ss(ap,bp,cp,dp);

% cascade with compensator and add UNF
fbk=tf({1 0;0 1},{1 1;1 1}); % unity gain in each loop
syscl=feedback(modplt*comp,fbk,1:2,1:2);

disp('')
disp(' The LTI viewer will now open.  To get the type of')
disp(' display in the text, try right-clicking in a plot')
disp(' window and selecting the ''axes grouping'' as ''outputs''')
disp(' from the pop-up.')
disp(' ')
disp(' Press a key after noting this message')
pause

ltiview('step',syscl)

% Next lines give the format used in the text
%[a,b,c,d]=ssdata(feedback(modplt*comp,fbk,1:2,1:2));
%t=[0:0.1:40];
%mv2step
%matlab 4.2 print:
%orient landscape
%print -dhpgl fig10_8b
