% Fig11_2.m - investigates a positioning system with PID
% controller and varying load.
%
% Ken Dutton 1996

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')
disp(' ')

% enter PID controller LTF:
numc=[1  10  20];
denc=[10  0];

% enter plant numerator:
nump=40;

% form combined forward path numerator:
num=numc*nump;

% enter test data:
m=[1  0.2  5];  % mass values (kg)
t=[0:0.1:10];   % vector of time values for simulation (s)
yplot=[];       % initial empty matrix for o/p responses

for k = 1:length(m)           % step through mass values
   denp=[m(k)  10  20];       % plant LTF denominator
   den=conv(denc,denp);       % combined forward path denominator
   [nc,dc]=cloop(num,den,-1); % add unity negative feedback
   [y,x]=step(nc,dc,t);       % unit step response
   yplot=[yplot  y];          % add new column to o/p data
end

plot(t,yplot),grid

%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig11_2
%
% matlab 3.5 print:
%meta fig11_2
%!gpp fig11_2 /dhpgl /ol
