% fig12_19.m - Shows optimal root locus for optimal
% controller for antenna-positioner.
%
% see inside file fig12_14.m for more detailed comments

% Ken Dutton, 1993, 1996

% State-space model:
a=[0  1  0; 0  -1  1; 0  0  -5];    b=[0  0   5]';   c=[1  0  0];   d=0;
%
r=1;				% single-input weighting (orig 1)
q=diag([0.1  0  0]);		% guess at state weightings
titl='Optimal R.L.  Q=diag(0.1 0 0) to (9  0  0)   r=1';
%
disp('')
disp('Working - please wait for plot')
% Step q upwards from diag(0.1,0,0) by multiplying it by 1,2,3,...90
col=0;
for i=1:90   % to see asymptotic behaviour, use  for i=1:10000:1000000
   col=col+1;       % keep count of column of e matrix for the result
   [k,p,e(:,col)]=lqr(a,b,i*q,r);  %optimal design (with the closed-loop
%   eigenvalues stored to column 'col' of the e matrix)
end
%
% Plot the root locus with crosses to mark the points, and a polar grid to
% enable easy determination of damping ratios and natural frequencies
disp('')
disp('Plotting now - press any key after viewing plot')
plot(real(e),imag(e),'x'),title(titl),sgrid
pause      % wait for key press
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig12_19
%
% matlab 3.5 print:
%meta fig12_19
%!gpp fig12_19 /dhpgl /ol
