% fig14_13.m - second-order phase-plane trajectory

% Ken Dutton, 1994

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')

per=5;        %required oscillation period for demo. plot
wn=2*pi/per;  % undamped natural frequency
zt=0.25;      % damping ratio
k=1;          % dc gain
%
% state-space model of standard 2nd order LTF (by inspection):
a=[0  1;-wn*wn  -2*zt*wn];b=[0  1]';c=[k*wn*wn  0];d=0;
t=[0:0.05:20];          % vector of time values
u=zeros(length(t),1);   % zero input vector for all time values
[y,x]=lsim(a,b,c,d,u,t,[1  0]');   % unit displacement initial cond.
subplot(221)
plot(t,x),grid            % plot states vs time
subplot(222)
plot(x(:,1),x(:,2)),grid  % plot PPT i.e. x2 vs x1

%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig14_13
%
% matlab 3.5 print:
%meta fig14_13
%!gpp fig14_13 /dhpgl /ol
hold off
%clg
