% fig14_41.m - Circle method for antenna example

% Ken Dutton, 1994
% clg replaced with clf, 9.1.99
% last clg replaced with close, 9.1.99
% Circle code replaces multivariable
% frequency domain toolbox call, 9.2.99

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')

% linear part of system:
%
num=50;
den=conv([1  5  0],[1  1]);
%
% full nyquist data for linear part:
w=logspace(-1,2,500);
[re,im]=nyquist(num,den,w);    % direct nyquist data
disp('')
disp('Plotting now - press any key after viewing plots')
plot(re,im),grid
pause
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fg14_41a
%
% matlab 3.5 print:
%meta fg14_41a
%!gpp fg14_41a /dhpgl /ol
hold off
clf
% partial nyquist for linear part
w=logspace(0,2,500);
w=w(78:500);                   % sufficient points for good plot
[re,im]=nyquist(num,den,w);    % direct nyquist data
plot(re,im),grid
hold on
%
% add circle (type   help circ   for details of command)
k1=0.5;
k2=0.549;

% use 500 points on circle:
angl=[0:2*pi/500:2*pi];
centr=-(k2+k1)/2/k2/k1;
rad=(k2-k1)/2/k1/k2;
circl=centr+rad*exp(sqrt(-1)*angl); 
plot(circl)

%[xx,yy]=ginput  % this line allows points to be picked off the plot
pause
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fg14_41b
%
% matlab 3.5 print:
%meta fg14_41b
%!gpp fg14_41b /dhpgl /ol
hold off
close
