% Fig3_15.m  produces figures 3.15a and 3.15b
%

% Ken Dutton, 1996

% enter the poles
pslow=-0.5;
pfast=-5;

% form the LTF denominators:
dslow=[1  -pslow];
dfast=[1  -pfast];

% and the numerators to give unity steady-state gain:
nslow=-pslow;
nfast=-pfast;

%
% Step response:
t=[0:0.02:10];  % fix common time values for plots
[y,x]=step(nslow,dslow,t);
plot(t,y,'g');grid  % green plot
hold on  %  freeze plot on screen

step(nfast,dfast,t)  % add fast plot 

hold off

disp(' ')
disp(' Fig. 3.15(a) is on the screen')
disp('Press any key to see noisy version')
pause

% now generate noise:
nos=rand(size(t));

% change to a noisy unit step input:
u=0.5 + nos;

% simulate:
[y,x]=lsim(nslow,dslow,u,t);
plot(t,y,'g');grid  % green plot
hold on  %  freeze plot on screen

lsim(nfast,dfast,u,t)

% add input to plot:

plot(t,u,'r')
hold off
 
 