% Fig3_34.m  produces Fig. 3.34 and associated data

% Ken Dutton, 1996

% Set up the required values of gain in a vector
% Note the additional value of 0.385 to give a
% more accurate critical damping:
k = [4  1.5  0.4  0.385];

% open-loop LTF:
num = 1;
den = conv([1  1  0],[1  2]);

% step through the values of gain:
for i = 1:length(k)
   % form closed-loop system
   [nc,dc]=cloop(k(i)*num,den,-1);
   
   % display the closed-loop LTF, and its associated
   % poles, natural frequencies and damping ratios:
   disp([' gain k = '  num2str(k(i))])
   printsys(nc,dc)
   disp(' ')
   damp(dc)
   disp(' ')
   disp(' Note that wn is shown, not zeta*wn')
   disp(' View the data and press a key to continue')
   pause

   % plot the closed-loop step response
   step(nc,dc);grid
   disp(' ')
   disp(' View the plot and press a key to continue')
   pause
end
