% Fig3_51.m  produces Fig. 3.51


% Ken Dutton, 1996
% Correct (open-loop) nyquist produced, 7.1.99
% Grid added to first plot, 7.1.99
% Zoomed plot added, 7.1.99

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press a key to see a zoomed-in plot as per the text')
disp(' ')

% Set up the required values of gain in a vector:
k = [4  1.5  0.4];

% open-loop LTF:
num = 1; 
den = conv([1  1  0],[1  2]);

% frequency vector to match text:
w = logspace(-1, 1, 300);

% step through the values of gain:
for i = 1:length(k)
   % apply the gain
   num = k(i);
   % plot the nyquist plot
   nyquist(num,den,w)
   if i==1, hold on, end  % freeze plot on screen
end

hold off  % release plot window

grid
pause
axis([-1.5 0 -1.5 0.2]) % view same part as in text
