% Fig3_52.m  produces Fig. 3.52
%
% This is a version of Fig3_51.m which
% adds M circles

% Ken Dutton, 1996
% M-circles plotted in cyan, 7.1.99
% Grid added to first plot, 7.1.99
% Zoomed plot added, 7.1.99
% Circle code replaces multivariable
% frequency domain toolbox call, 9.2.99


disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press a key to see a second plot as per the text')
disp(' ')

% Set up the required values of gain in a vector:
k = [4  1.5  0.4];

% open-loop LTF:
num = 1; 
den = conv([1  1  0],[1  2]);

% frequency vector to match text:
w = logspace(-1, 1, 300);

% step through the values of gain:
for i = 1:length(k)
   % apply the gain
   num = k(i);

   % close the feedback loop:
   [nc,dc] = cloop(num,den,-1);

   % plot the nyquist plot
   nyquist(nc,dc,w)
   if i==1, hold on, end  % freeze plot on screen
end

% add the M-circle for each plot.
% use 100 points on circle:
angl=[0:2*pi/100:2*pi];
% radius 5.43, centre origin:
circl=5.43*exp(sqrt(-1)*angl); 
plot(circl,'c')
% radius 1.428, centre origin:
circl=1.428*exp(sqrt(-1)*angl); 
plot(circl,'c')
% radius 1, centre origin:
circl=exp(sqrt(-1)*angl); 
plot(circl,'c')

hold off  % release plot window
grid

pause
axis([-4 4 -6 2])
