% fig3_57.m - Inverse Nyquist plot for Fig3.57

%
% Ken Dutton, 1996
% Message about ignoring divide by zero warnings
% removed, 7.1.99
% Circle code replaces multivariable
% frequency domain toolbox call, 9.2.99


disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')

% Open-loop LTF:
num = 1;
den = [1  6  11  6  0];

%
% inverse nyquist:
w=logspace(-2,0,200);
[re,im]=nyquist(num,den,w);    % direct nyquist data (real + imag)

% form inverse plot from 1/(a + jb) = (a -jb)/(a^2 + b^2)
invden=re.*re + im.*im;   % form the denominator for inverse plot
invre=re.*invden.^(-1);   % real parts for inverse nyquist
invim=-im.*invden.^(-1);  % imag parts for inverse nyquist

% gain and phase margins:
[gm, pm, wg, wp] = margin(num,den);

disp(' ')
disp([' gain margin = '  num2str(gm)  ',  phase margin = ' num2str(pm) ' deg.'])
disp('Plotting now')
plot(invre,invim),grid    % produce inverse nyquist graph
hold on % freeze plot on screen

pause
% add circles:
% use 100 points on circle:
angl=[0:2*pi/100:2*pi];
% radius sqrt(2), centre (-1,0):
circl=-1+sqrt(2)*exp(sqrt(-1)*angl); 
plot(circl,'c')
% radius 1, centre (-1,0):
circl=-1+exp(sqrt(-1)*angl); 
plot(circl,'c')

pause

axis([-2.5 0.5 -1.5 1.5])

hold off % release plot window
 
