% fig3_58.m - Inverse Nyquist plots for Fig3.58

%
% Ken Dutton, 1996
% Circle code replaces multivariable
% frequency domain toolbox call, 9.2.99


disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')

% Open-loop LTF:
num = 1;  % not actually needed
den = conv([1  1  0],[1  2]);

% vector of gain values:
k = [4  1.5  0.4];

% inverse nyquist:
w=logspace(-2,1,200);
w=w(1:160); % shorten vector for good plot size

% step through gain values
for i=1 : length(k)
   num=k(i);

   % inverse nyquist plot:
   [mag,pha] = bode(num,den,w);
   polar(-pha*pi/180, mag.^(-1)) % phase plotted in radians,
                                 % note dot operator on ^(-1) to
                                 % invert individual elements
   if i==1, hold on, end % freeze plot on screen
end

pause
% add circles:
% use 100 points on circle:
angl=[0:2*pi/100:2*pi];
% radius 1, centre (-1,0):
circl=-1+exp(sqrt(-1)*angl); 
plot(circl,'c')
% radius 0.7, centre (-1,0):
circl=-1+0.7*exp(sqrt(-1)*angl); 
plot(circl,'c')
% radius 0.18, centre centre (-1,0):
circl=-1+0.18*exp(sqrt(-1)*angl); 
plot(circl,'c')

pause

axis([-2 2 -2 2])

hold off % release plot window
 
