% File fig4_12.m.  Produces Fig. 4.12 of text
%

% Ken Dutton 1996

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')

% enter the open-loop LTF of system in Example 4.1
k=27;
num=k;
den=conv([1  3],conv([1  3],conv([1  3],[1  1])));

% produce the polar plot:
nyquist(num,den),grid
pause   % wait for key press

% now allow gain investigation
disp(' ')
disp(' The graphics cursor will now appear')
disp(' Position it on a point of interest, and press the')
disp(' left-hand mouse button to read off the values')
disp(' ')
disp(' Press any key to continue after noting this message')
pause

[x,y]=ginput(1);  % acquire one value
disp(' ')
disp([' real value is '  num2str(x)])
disp([' gain is '  num2str(sqrt(x^2 + y^2))])
% phase may need correction due to atan routine limits:
pha=180*atan(y/x)/pi;  % phase in degrees
if x<0 & y<0, pha=pha-180; end  % third quadrant
if x<0 & y>0, pha=pha+180; end  % second quadrant
disp([' phase is '  num2str(pha)  ' deg.'])
disp(' ')


[gm,pm,wg,wp]=margin(num,den);  % gain margin etc.
disp(['gain margin is '  num2str(gm)  ',  phase margin '  num2str(pm)  ' deg.'])

disp(' Press a key to rerun with critical gain')
pause



% increase the numerator to critical gain:
numc=num*gm;

% rerun other commands:

% produce the polar plot:
nyquist(numc,den),grid
pause   % wait for key press

% now allow gain investigation
disp(' ')
disp(' The graphics cursor will now appear')
disp(' Position it on a point of interest, and press the')
disp(' left-hand mouse button to read off the values')
disp(' ')
disp(' Press any key to continue after noting this message')
pause

[x,y]=ginput(1);  % acquire one value
disp(' ')
disp([' real value is '  num2str(x)])
disp([' gain is '  num2str(sqrt(x^2 + y^2))])
% phase may need correction due to atan routine limits:
pha=180*atan(y/x)/pi;  % phase in degrees
if x<0 & y<0, pha=pha-180; end  % third quadrant
if x<0 & y>0, pha=pha+180; end  % second quadrant
disp([' phase is '  num2str(pha)  ' deg.'])
disp(' ')


[gm,pm,wg,wp]=margin(numc,den);  % gain margin etc.
disp(['gain margin is '  num2str(gm)  ',  phase margin '  num2str(pm)  ' deg.'])


disp(' ')
disp(' Press a key to find original closed-loop poles')
pause

[nc,dc]=cloop(num,den,-1);  % apply UNF
disp(' ')
disp(' closed loop poles are:')
roots(dc)
disp(' ')
disp(' step response is on screen')
step(nc,dc);grid

disp(' ')
disp('Maybe try editing the value of k?')
