% File fig4_234.m.  Produces Figs. 4.2 to 4.4 of text
%

% Ken Dutton 1996


disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window.')
disp(' ')
disp(' Press any key after viewing a plot.')

% denominator of Eq. 4.7:
den=conv([1  6],[1  2  3]);

% vector of required zero positions for Eq. 4.8
a=[0.5  1  2];

% Step responses for Fig. 4.2:
for i=1:length(a)  %  step through the values of zero
   %
   % form the numerator
   num=[1  a(i)]*18/a(i);
   step(num,den);grid;title('Fig. 4.2')
   if i==1, hold on, end   % hold plot on screen
end
%
% add the plot for no zero at all:
step(18,den)
hold off % release plot window
pause    % wait for key press


% frequency axis for bode plots:
w=logspace(-1,2,100);

% Bode magnitude plots for Fig. 4.3:
for i=1:length(a)  %  step through the values of zero
   %
   % form the numerator
   num=[1  a(i)]*18/a(i);
   [mag,pha]=bode(num,den,w);  % get data, but no plot yet
   semilogx(w,20*log10(mag))   % plot in dB
   grid;title('Fig. 4.3 - magnitudes')
   if i==1, hold on, end   % hold plot on screen
end
%
% add the plot for no zero at all:
[mag,pha]=bode(18,den,w);
semilogx(w,20*log10(mag))
hold off % release plot window
pause    % wait for key press


% Bode phase plots for Fig. 4.3:
for i=1:length(a)  %  step through the values of zero
   %
   % form the numerator
   num=[1  a(i)]*18/a(i);
   [mag,pha]=bode(num,den,w);  % get data, but no plot yet
   semilogx(w,pha);grid;title('Fig. 4.3 - phases')
   if i==1, hold on, end   % hold plot on screen
end
%
% add the plot for no zero at all:
[mag,pha]=bode(18,den,w);
semilogx(w,pha)
hold off % release plot window
pause    % wait for key press



% Polar (Nyquist) plots for Fig. 4.4:
for i=1:length(a)  %  step through the values of zero
   %
   % form the numerator
   num=[1  a(i)]*18/a(i);
   nyquist(num,den,w);grid;title('Fig. 4.4')
   if i==1, hold on, end   % hold plot on screen
end
%
% add the plot for no zero at all:
nyquist(18,den,w)
hold off % release plot window
pause    % wait for key press

