% File fig4_40.m.  Produces Fig. 4.40 of text
%

% Copyright (c) Ken Dutton 1996

disp(' ')
disp(' Ignore ''divide by zero'' warnings')
disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')
disp(' Press any key after viewing a plot')

% enter the open-loop LTF
num=5;
den=conv([1 1 0],[1 5]); % s and (s + 1) multiplied out mentally

% produce the root locus:
rlocus(num,den),grid
pause   % wait for key press
% now plot enlarged version of axis crossing to find critical gain
disp(' ')
disp(' The graphics cursor will now appear')
disp(' Position it on the vertical axis crossing, and press the')
disp(' left-hand mouse button to read off the critical gain')
disp(' ')
disp(' Press any key to continue after noting this message')
pause
axis([-0.1  0.1  2  2.5])  % magnified portion around axis crossing
[k,p]=rlocfind(num,den);
disp(' ')
disp([' Critical gain is  '      num2str(k)])
% similarly for gain for zero overshoot
disp(' ')
disp(' Now click the cursor on the horizontal axis breakeway point')
disp(' to read off the gain corresponding to zero overshoot')
disp(' ')
disp(' Press any key to continue after noting this message')
pause
axis([-0.55  -0.45  -0.1  0.1])  % suitable plot portion
[k,p]=rlocfind(num,den);
disp(' ')
disp([' Gain for critical damping is  '      num2str(k)])
disp(' ')


% add unity negative feedback loop with original forward path LTF:
disp(' Press any key to see the original closed-loop step response')
pause
[nc,dc]=cloop(num,den,-1);  % add the UNF loop 
step(nc,dc),grid            % step response of closed-loop system
pause                       % wait for key press

% try reduced K:
%nf=0.4*num;                % drop numerator gain by 40%
%[nc,dc]=cloop(nf,den,-1);  % add UNF loop
%step(nc,dc),grid


% add a lead compensator:
disp(' ')
disp(' Press any key to add the lead compensator')
pause
% calculate the compensator:
tc=1;
a=0.5;
%a=0.56;     % best possible result
numc=[1  tc];        % zero cancels most positive pole (T=1)
denc=[1  1/a/tc];    % s + 1/(a*T)
% add the compensator:
ncmp=num*numc;              
dcmp=conv(den,denc);
[nc,dc]=cloop(ncmp,dcmp,-1); % add UNF loop
[y,x,t]=step(nc,dc);         % store t values for use below
plot(t,y),grid               % plot output
hold on                      % freeze plot on screen
plot(t,ones(size(t))*1.02)   % add line at +2% 
plot(t,ones(size(t))*0.98)   % add line at -2%
hold off                     % release plot window
pause
