% File fig4_42.m.  Produces Fig. 4.42 of text
%

% Ken Dutton 1996


disp(' ')
disp(' Ignore ''divide by zero'' warnings.')
disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window.')
disp(' ')
disp(' Early versions of MATLAB will need the  axis  commands')
disp(' moving in front of the  plot  commands')
disp(' ')
disp(' Press any key after viewing a plot.')

% plot the root locus for varying kv as given in Ex. 4.7:
num=[5  0];
den=[1  6  5  5];
rlocus(num,den),grid
pause   % wait for key press

% now plot enlarged version real axis breakin to find
% Kv for zero overshoot
disp(' ')
disp(' The graphics cursor will now appear.')
disp(' ')
disp(' Position it on the real axis break-in point at about -1.2,')
disp(' and press the left-hand mouse button to read off the gain for')
disp(' zero overshoot (the value should be found to be about 0.98)')
disp(' ')
disp(' Press any key to continue after noting this message')
pause
axis([-6  0  -5  5])
[k,p]=rlocfind(num,den);
disp(' ')
disp([' Gain Kv for zero overshoot is '      num2str(k)])
disp(' ')
disp(' Press any key to continue')
pause

% set up the forward path LTF WITHOUT the output integrator:
num=5;
den=conv([1 1],[1 5]);

% add the velocity feedback loop:
kv=0.85;
[nf,df]=feedback(num,den,kv,1,-1); % try 'help feedback' !

% add the output integrator:
[nf,df]=series(nf,df,1,[1  0]);

% add the outer UNF loop:
[nc,dc]=cloop(nf,df,-1);     % add UNF loop
%[y,x,t]=step(nc,dc);         % store t values for use below
t=[0:0.1:10];
[y,x]=step(nc,dc,t);         % store t values for use below
plot(t,y),grid               % plot output
hold on                      % freeze plot on screen
plot(t,ones(size(t))*1.02)   % add line at +2% 
plot(t,ones(size(t))*0.98)   % add line at -2%
hold off                     % release plot window
pause
