%
% Creates Fig. 8.10 for text.
%

% Ken Dutton 1994
% clg replaced by clf, 8.1.99
% length(t)/2 replaced by  round(length(t)/2), 8.1.99
% grid added after last step command, 8.1.99

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')

% Time delay approximations, and ideal step response:
hold off
clf
tau=1;     % time delay (transport lag)
t=[0:0.005:2];
u=zeros(round(length(t)/2),1);  % set up step input half way through time sequence
u=[u; ones((length(t)-length(u)),1)];
plot(t,u),grid
hold on
%
% cascaded first order lags:
%
% 1st order:
num=1;
den=[tau  1];
step(num,den,t);
%
% 2nd order
%den=conv([tau/2  1],[tau/2  1]);
%step(num,den,t);
%
% 3rd order:
den0=[tau/3 1];
den=conv(den0,den0);
den=conv(den,den0);
step(num,den,t);
%
% 6th order
den0=[tau/6 1];
den1=conv(den0,den0);
den=conv(den1,den1);
den=conv(den,den1);
step(num,den,t);
%
% 12th order:
den=[tau/12 1];
den1=conv(den,den);
den2=conv(den1,den1);
den=conv(den2,den1);
den=conv(den,den);
step(num,den,t);
grid
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig8_xxa
%
% matlab 3.5 print:
%meta fig8_10
%!gpp fig8_10 /dhpgl /ol
hold off
	