%
% Creates Fig. 8.11 for text.
%

% Ken Dutton 1994
% clg replaced by clf, 8.1.99
% 2*length(t)/3 replaced by  round(2*length(t)/3), 8.1.99
% grid added after last step command, 8.1.99


disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')

% Time delay approximations, and ideal step response:
hold off
clf
tau=1;     % time delay (transport lag)
t=[0:0.003:1.5];
u=zeros(2*length(t)/3,1);  % set up step input 2/3 way through time sequence
u=[u; ones((length(t)-length(u)),1)];

% Pade approximations:
%

axis([0 1.5 -1 1.2]);
plot(t,u),grid  % step reference trace
hold on
%
% first order
[num,den]=pade(1,3);
step(num,den,t);
%
% 2nd order
[num,den]=pade(1,9);
step(num,den,t);
%
% 3rd order
[num,den]=pade(1,12);
step(num,den,t);
grid
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig8_xxb
%
% matlab 3.5 print:
%meta fig8_11
%!gpp fig8_11 /dhpgl /ol
hold off

