%
% Creates Figs. 8.xxa and 8.xxb for text.
%

% Copyright (c) Ken Dutton 1994

% Time delay approximations, and ideal step response:
hold off
clg
tau=1;     % time delay (transport lag)
t=[0:0.005:2];
u=zeros(length(t)/2,1);  % set up step input half way through time sequence
u=[u; ones((length(t)-length(u)),1)];
plot(t,u),grid
hold on
%
% cascaded first order lags:
%
% 1st order:
num=1;
den=[tau  1];
step(num,den,t);
%
% 2nd order
%den=conv([tau/2  1],[tau/2  1]);
%step(num,den,t);
%
% 3rd order:
den0=[tau/3 1];
den=conv(den0,den0);
den=conv(den,den0);
step(num,den,t);
%
% 6th order
den0=[tau/6 1];
den1=conv(den0,den0);
den=conv(den1,den1);
den=conv(den,den1);
step(num,den,t);
%
% 12th order:
den=[tau/12 1];
den1=conv(den,den);
den2=conv(den1,den1);
den=conv(den2,den1);
den=conv(den,den);
step(num,den,t);
pause
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig8_xxa
%
% matlab 3.5 print:
%meta fig8_xxa
%!gpp fig8_xxa /dhpgl /ol
%
%
%
% Now Pade approximations:
%
hold off
clg
axis([0 1.5 -1 1.2]);
plot(t,u),grid  % step reference trace
hold on
%
% first order
[num,den]=pade(1,3);
step(num,den,t);
%
% 2nd order
[num,den]=pade(1,9);
step(num,den,t);
%
% 3rd order
[num,den]=pade(1,12);
step(num,den,t);
pause
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig8_xxb
%
% matlab 3.5 print:
%meta fig8_xxb
%!gpp fig8_xxb /dhpgl /ol
hold off

