% creates responses of second order plant and full-order observer (fig 9.7)
% values are from example 9.1

% Ken Dutton 1994
% zeros(f)  replaced by  zeros(size(f)), 8.1.99
% warning about warnings removed!, 8.1.99

disp(' ')
disp(' If the program pauses, try looking for a plot in a')
disp(' hidden window')
disp(' ')


%
% plant:
a=[0 1;-4 -3]; b=[0 1]'; c=[1 0];
%
% observer:
f=[-27 1; -144 -3]; g=[27; 140];
%
% combine plant and observer into a single model with states [x  z]', and
% set up C and D to make all 4 states available for plotting:
ao=[a  zeros(size(f)); g*c  f];
bo=[b; b];
co=eye(4);
do=[0; 0; 0; 0];
%
% set up initial conditions w. plant o/p steady at 1 unit and observer at zero
x0=[1; 0; 0; 0];
%
% set up time and input vectors and simulate:
t=[0:1/150:5];         % time step 1/10 of observer time constants
u=4*ones(length(t),1); % plant gain 0.25, therefore sets initial o/p at 1
stp=150;               % point of application of unit step
u([stp:length(t)],1)=8*ones((length(t)+1-stp),1); % step up to 2 units
[y,x]=lsim(ao,bo,co,do,u,t,x0);
%
plot(t,y),grid,xlabel('time (s)'), ylabel('amplitude')
%
% matlab 4.2 print:
%orient landscape
%print -dhpgl fig9_7
%
% matlab 3.5 print:
%meta fig9_7
%!gpp fig9_7 /dhpgl /ol
